﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet id="stylesheet" version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Spotlight Search Results</title>
				<style>
					<!--Scrollbar size-->
					::-webkit-scrollbar {
						width: 5px;
						height: 10px;
					}

					<!--Scrollbar track-->
					::-webkit-scrollbar-track {
					   background: #f1f1f1; 
					}

					<!--Scrollbar handle-->
					::-webkit-scrollbar-thumb {
					   background: #909090;
					}

					<!--Scrollbar handle (hover)-->
					::-webkit-scrollbar-thumb:hover {
						background: #505050;
					}

					a:focus {
						outline: 3px solid blue;
					}
          
          a:focus.no-outline {
						outline: none;
          }
				</style>
			</head>
			<body style="background-color: {Spotlight/Search/@backColor}; color: {Spotlight/Search/@textColor}; font-family: system-ui; font-weight: bold; margin: 10px;">
        <div id="grid_main" role="grid">
          <!--Search title-->
          <div role="row" aria-rowindex="1" style="font-size: x-large; padding: 20px;">
            <span role="gridcell" aria-colindex="1" >
              <a id="link_main" tabindex="0" href="{Spotlight/Search/Link}" title="The Movie Database (TMDB)" style="text-decoration:none; color:inherit">
                <xsl:value-of select="Spotlight/Search/KindText"/> Search Results for '<xsl:value-of select="Spotlight/Search/SearchString"/>':
              </a>
            </span>
          </div>

          <!--Results-->
          <div role="row" aria-rowindex="2" style="font-size: small">
            <xsl:for-each select="Spotlight/Search/Results/Result">
              <span role="gridcell" aria-colindex="{position()}" style="vertical-align:top; text-align:center; margin:10px; display:inline-block; width:112px; font-weight:bold">
                <span style="position: relative">
                  <xsl:choose>
                    <xsl:when test="/Spotlight/Search/Kind='artist'">
                      <a href="{./Link}" title="Spotlight: {./Title}">
                        <xsl:choose>
                          <xsl:when test="./Poster">
                            <img src="{./Poster}" style="width:112px; height:112px; border-radius:10px" />
                          </xsl:when>
                          <xsl:otherwise>
                            <img src="https://www.themoviedb.org/assets/2/v4/glyphicons/basic/glyphicons-basic-4-user-grey-d8fe957375e70239d6abdd549fd7568c89281b2179b5f4470e2e12895792dfa5.svg" style="width:112px; height:112px; border-radius:10px; border-color:darkgray; border-style:solid;" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </a>
                    </xsl:when>
                    <xsl:when test="/Spotlight/Search/Kind='movie'">
                      <a href="{./Link}" title="Spotlight: {./Title}">
                        <xsl:choose>
                          <xsl:when test="./Poster">
                            <img src="{./Poster}" style="width:112px; height:168px; border-radius:10px" />
                          </xsl:when>
                          <xsl:otherwise>
                            <img src="https://www.themoviedb.org/assets/2/v4/glyphicons/basic/glyphicons-basic-38-picture-grey-c2ebdbb057f2a7614185931650f8cee23fa137b93812ccb132b9df511df1cfac.svg" style="width:112px; height:168px; border-radius:10px; border-color:darkgray; border-style:solid;" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </a>
                    </xsl:when>
                    <xsl:when test="/Spotlight/Search/Kind='tvshow'">
                      <a href="{./Link}" title="Spotlight: {./Title}">
                        <xsl:choose>
                          <xsl:when test="./Poster">
                            <img src="{./Poster}" style="width:112px; height:168px; border-radius:10px" />
                          </xsl:when>
                          <xsl:otherwise>
                            <img src="https://www.themoviedb.org/assets/2/v4/glyphicons/basic/glyphicons-basic-38-picture-grey-c2ebdbb057f2a7614185931650f8cee23fa137b93812ccb132b9df511df1cfac.svg" style="width:112px; height:168px; border-radius:10px; border-color:darkgray; border-style:solid;" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </a>
                    </xsl:when>
                    <xsl:when test="/Spotlight/Search/Kind='person'">
                      <a href="{./Link}" title="Spotlight: {./Title}">
                        <xsl:choose>
                          <xsl:when test="./Poster">
                            <img src="{./Poster}" style="width:112px; height:168px; border-radius:10px" />
                          </xsl:when>
                          <xsl:otherwise>
                            <img src="https://www.themoviedb.org/assets/2/v4/glyphicons/basic/glyphicons-basic-4-user-grey-d8fe957375e70239d6abdd549fd7568c89281b2179b5f4470e2e12895792dfa5.svg" style="width:112px; height:168px; border-radius:10px; border-color:darkgray; border-style:solid;" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </a>
                    </xsl:when>
                  </xsl:choose>
                </span>
                <span style="display: block; margin-top: 4px">
                  <xsl:value-of disable-output-escaping="yes" select="./Title"/>
                  <xsl:if test="./Year">
                    <span style="display: block; font-size: smaller; font-weight:normal">
                      <xsl:value-of select="./Year"/>
                    </span>
                  </xsl:if>
                </span>
              </span>
            </xsl:for-each>
          </div>
        </div>
				
				<!--For remote/keyboard navigation-->
				<script src="https://files.jriver-cdn.com/spotlight/spotlight_nav_kb.js"/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
